osmium::index Namespace Reference

Indexing of OSM data, Locations, etc. More...

## Namespaces

| map
| Key-value containers with unique integer values for a key.
| multimap
| Key-value containers with multiple values for an integer key.

## Classes

class | BoolVector
class | MapFactory

## Functions

template<typename TKey >
OSMIUM_NORETURN void | not_found_error (TKey key)
template<typename T >
constexpr T | empty_value ()
template<>
constexpr size_t | empty_value< size_t > ()
template<typename TId , typename TValue , template< typename, typename > class TMap>
bool | register_map (const std::string &name)

## Detailed Description

Indexing of OSM data, Locations, etc.

## Function Documentation

template<typename T >

constexpr T osmium::index::empty_value | ( |  | ) |

inline

Some of the index classes need an "empty" value that can never appear in real data. This function must return this empty value for any class used as a value in an index. The default implementation returns a default constructed object, but it can be specialized.

template<>

constexpr size_t osmium::index::empty_value< size_t > | ( |  | ) |

inline

The size_t value in indexes is usually used for offsets into a buffer or file. It is unlikely that we ever need the full range, so the max value is a good "empty" value.

template<typename TKey >

OSMIUM_NORETURN void osmium::index::not_found_error | ( | TKey | key | ) |

template<typename TId , typename TValue , template< typename, typename > class TMap>

bool osmium::index::register_map | ( | const std::string & | name | ) |

inline